QA@IT

rails server が起動できない

2140 PV

rails serverを起動すると以下のエラーが大量に出ます。
分かる方がいらしたら教えてください。お願いします。

Could not open library 'libgtk-x11-2.0': dlopen(libgtk-x11-2.0, 13): image not found.
Could not open library 'libgtk-x11-2.0.dylib': dlopen(libgtk-x11-2.0.dylib, 13): image not found.
Could not open library 'libgtk-x11-2.0.so.0': dlopen(libgtk-x11-2.0.so.0, 13): image not found.
Could not open library 'libgtk-x11-2.0.so.0.dylib': dlopen(libgtk-x11-2.0.so.0.dylib, 13): image not found.
Could not open library 'libgtk-x11-2.0.so': dlopen(libgtk-x11-2.0.so, 13): image not found.
Could not open library 'libgtk-x11-2.0.so.dylib': dlopen(libgtk-x11-2.0.so.dylib, 13): image not found.
Could not open library 'libgtk-3': dlopen(libgtk-3, 13): image not found.
Could not open library 'libgtk-3.dylib': dlopen(libgtk-3.dylib, 13): image not found.
Could not open library 'libgtk-3.so.0': dlopen(libgtk-3.so.0, 13): image not found.
Could not open library 'libgtk-3.so.0.dylib': dlopen(libgtk-3.so.0.dylib, 13): image not found.
Could not open library 'libgtk-3.so': dlopen(libgtk-3.so, 13): image not found.
Could not open library 'libgtk-3.so.dylib': dlopen(libgtk-3.so.dylib, 13): image not found

  • ちょっと聞いたことがないというか、なぜ GTK が関係するのか分かりませんが、少し実行環境について情報を足してみると回答が得られるかもしれません。もしや、何らかの IDE をお使いとか? RailsとRubyのバージョン、実行しているOSの種類やバージョンも書き添えたほうがいいと思います。可能なら、どうやってRailsをインストールしたか、なども -
  • ターミナルでrails serverを実行しています。
    Railsはgem install railsでインストールしました。
    rails 3.2.11
    ruby 1.9.3p374
    OS OS X v10.8 Mountain Lion
    -
  • Gemfileにubuntu用の通知が残ってるのが原因でした。
    申し訳ありません。ありがとうございました。
    -
ウォッチ

この質問への回答やコメントをメールでお知らせします。